/*
Theme Name: Astra Child
Template: astra
*/

body {
  font-family: 'Nanum Myeongjo', serif;
}
:root {
  --header-height: 110px;
}
.site-header,
.ast-primary-header {
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 9999;
}

/* ===== HERO SLIDER ===== */
.home-hero {
  width: 100%;
  margin: 0;
  padding: 0;
}

.home-hero, .hero-slider, .hero-slider .swiper-wrapper, .hero-slider .swiper-slide {
  min-height: 100vh !important;
}

.home-hero .swiper-slide {
  background-image: var(--bg-desktop);
  background-size: cover;
  background-position: center;
}

.hero-slider .swiper-slide::before {
  content: '';
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.45);
  z-index: 1;
}

.hero-content {
  position: absolute;
  z-index: 2;
  max-width: 912px;
  left: 50% !important;
  top: 60%!important;
  transform: translate(-50%, -50%);
  background: rgba(255, 255, 255, 0.06);
  padding: 20px;
}

.hero-content, .hero-content * {
  color: #fff !important;
  text-align: center!important;
}

.hero-content p {
  font-size: 18px;
  opacity: 1;
  font-family: "Montserrat", sans-serif;
}

.hero-content h1 {
  font-size: 40px;
  line-height: 1.2;
  margin: 0px 0 9px;
  font-weight: 100;
  font-family: 'Nanum Myeongjo', serif;
  text-transform: capitalize;
}

.hero-divider {
  display: block;
  margin: 15px auto 20px;
  height: auto;
}

.hero-content .btn {
  display: inline-block;
  padding: 11px 34px;
  background: #CC3300;
  border-radius: 16px;
  color: #fff;
  text-decoration: none;
  font-size: 16px;
  letter-spacing: 0.6px;
  font-family: "Montserrat", sans-serif;
  margin-top: 20px;
}

.swiper-button-prev,
.swiper-button-next {
  color: #fff;
  width: 50px;
  height: 50px;
}

.swiper-button-prev {
  left: 30px;
}

.swiper-button-next {
  right: 30px;
}

.swiper-button-prev::after, .swiper-button-next::after {
  display: none !important;
}

.swiper-button-prev {
  background: url('/wp-content/themes/astra-child/assets/leftarrow.svg') no-repeat center !important;
  width: 56px!important;
  height: 56px!important;
  background-size: contain!important;
  left: 40px!important;
  z-index: 9999;
}

.swiper-button-next {
  background: url('/wp-content/themes/astra-child/assets/rightarrow.svg') no-repeat center;
  width: 56px!important;
  height: 56px!important;
  background-size: contain!important;
  right: 40px!important;
  z-index: 9999;
}

.swiper-button-prev, .swiper-button-next {
  top: 50%;
  transform: translateY(-50%);
}
.swiper-pagination {
  position: absolute;
  bottom: 21px!important;
  left: 50%;
  transform: translateX(-50%);
  z-index: 10;
}

.swiper-pagination-bullet {
  width: 7px!important;
  height: 7px!important;
  background: #fff!important;
  opacity: 1!important;
  margin: 0 6px;
}

.swiper-pagination-bullet-active {
  width: 12px!important;
  height: 12px!important;
  opacity: 1;
  background: #fff!important;
}

/* ===== WELCOME SECTION ===== */
.welcome-section {
  background: #FFF6ED;
  overflow: hidden;
}

.welcome-bg {
  background: url('/wp-content/themes/astra-child/assets/welcome-bg.png') no-repeat center;
  background-size: 100%;
  position: relative;
  background-position: top;
  text-align: center;
}

.bottom-bg {
  padding-top: 159px;
}
.top-bg {
  padding-top: 200px;
}

.welcome-wrap {
  max-width: 1480px;
  margin: 0 auto;
  padding: 0px 20px;
  display: grid;
  grid-template-columns: 45% 55%;
  gap: 0px;
  align-items: center;
}

.welcome-main-heading {
  font-family: 'Nanum Myeongjo', serif;
  color: #CC3300;
  font-size: 21px;
  font-weight: 500;
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-transform: capitalize;
}

.welcome-bottom-heading {
  font-family: 'Nanum Myeongjo', serif;
  color: #CC3300;
  font-size: 39px;
  font-weight: 500;
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-transform: capitalize;
}

.welcome-left {
    text-align: center;
}

.welcome-left img {
  width: 80%;
}

.acc-item {
  padding: 14px 0;
}
.acc-item span{
	color: #CC3300;
    font-size: 27px;
}

.acc-title {
  display: flex;
  align-items: center;
  gap: 12px;
  cursor: pointer;
  padding-right: 30px;
  position: relative;
}

.acc-title::after {
  content: "";
  width: 14px;
  height: 14px;
  background: url('/wp-content/themes/astra-child/assets/vector.png') no-repeat center;
  background-size: contain;
  transition: transform 0.3s ease;
}

.acc-item.active .acc-title::after {
  transform: rotate(180deg);
}

.acc-title img {
  width: 28px;
}

.acc-content {
  display: none;
  margin-top: 10px;
  font-family: "Poppins", sans-serif;
  color: #CC3300;
  font-size: 16px;
}

.acc-item.active .acc-content {
  display: block;
}

/* ===== SPA EXPERIENCE SECTION ===== */

.spa-top {
  margin: 0 auto 70px;
  text-align: center;
}

.spa-top h2 {
  font-size: 39px;
  margin-bottom: 10px;
  font-family: 'Nanum Myeongjo', serif;
  color: #71471E;
  font-weight: 500;
  text-transform: capitalize;
}

.spa-top p {
  font-size: 14px;
  font-family: "Poppins", sans-serif;
  color: #71471E;
  max-width: 550px;
  margin: auto;
  text-transform: capitalize;
}

.spa-experience {
  background: #f5d89c;
  padding: 26px 0;
}

.spa-row {
  max-width: 1200px;
  margin: 0 auto 31px;
  display: flex;
  align-items: center;
  gap: 80px;
}

.spa-image {
  width: 45%;
  text-align: center;
  position: relative;
}

.spa-image img {
  width: 100%;
  border-radius: 120px 0 0 0;
}
.spa-row--normal .spa-image::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 40px;
  height: 100%;
  background: url('/wp-content/themes/astra-child/assets/spa-img-background.png')
              no-repeat center / contain;
  pointer-events: none;
}
.spa-row--reverse .spa-image::after {
  content: "";
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 40px;
  height: 100%;
  background: url('/wp-content/themes/astra-child/assets/spa-img-background.png')
              no-repeat center / contain;

  pointer-events: none;
}

.spa-image h4 {
  position: relative;
  display: inline-flex;
  align-items: center;
  gap: 12px;
  margin-top: 22px;
  color: #71471E;
  font-size: 25px;
  font-weight: 100;
  font-family: 'Nanum Myeongjo', serif;
}

.spa-image h4::before {
  content: '';
  width: 28px;
  height: 12px;
  background: url('/wp-content/themes/astra-child/assets/left-arrow-spa.png') no-repeat center;
  background-size: contain;
  display: inline-block;
}

.spa-image h4::after {
  content: '';
  width: 28px;
  height: 12px;
  background: url('/wp-content/themes/astra-child/assets/right-arrow-spa.png') no-repeat center;
  background-size: contain;
  display: inline-block;
}


.spa-content {
  width: 55%;
  text-align: center;
}

.spa-content h3 {
  font-size: 28px;
  text-transform: uppercase;
  font-family: 'Nanum Myeongjo', serif;
  text-transform: uppercase;
  color: #71471E;
  font-weight: 500;

}

.spa-content p {
  margin: 10px 0;
  line-height: 1.6;
  font-family: "Poppins", sans-serif;
  color: #71471E;
  font-size: 17px;
}

.spa-btn {
  display: inline-block;
  padding: 12px 40px;
  border-radius: 16px;
  background: #76621B;
  color: #fff;
  text-decoration: none;
  margin-top: 40px;
  font-family: "Poppins", sans-serif;
}

.spa-content {
  position: relative;
}

.spa-decor {
  position: absolute;
  background-repeat: no-repeat;
  background-size: contain;
  pointer-events: none;
}

.spa-decor-towel {
  width: 120px;
  height: 120px;
  background-image: url('/wp-content/themes/astra-child/assets/international-therapy.png');
  right: 5px;
  bottom: -170px;
}

.spa-decor-lady {
  position: absolute;
  width: 160px;
  height: 160px;
  background-image: url('/wp-content/themes/astra-child/assets/aryuvedic.png');
  background-size: contain;
  background-repeat: no-repeat;
  left: 0;
  bottom: -195px;
}

/* ===== OVERNIGHT PACKAGES ===== */

.package-top {
	padding-bottom: 20px;
}
.package-top h2 {
  font-size: 39px;
  margin-bottom: 10px;
  font-family: 'Nanum Myeongjo', serif;
  color: #CC3300;
  font-weight: 500;
  text-transform: capitalize;
  text-align: center;
}

.package-top p {
  font-size: 14px;
  font-family: "Poppins", sans-serif;
  color: #CC3300;
  max-width: 550px;
  margin: auto;
  text-transform: capitalize;
  text-align: center;
}
.packages-section {
    width: 100%;
    overflow: hidden;
    padding: 30px 0 150px;
    position: relative;
}

.packages-wrapper {
    cursor: grab;
    overflow: hidden;
    display: flex;
    gap: 20px;
    padding: 20px 0;
    align-items: flex-end;
    perspective: 1500px;
    scroll-behavior: smooth;
}

.package-slide {
    flex: 0 0 auto;
    width: 250px;
    height: 250px;
    transition: transform 0.5s, filter 0.5s;
    transform-origin: center bottom;
    filter: brightness(0.7);
    z-index: 1;
}

.package-slide img {
    width: 100%;
    height: 250px;
    max-height: 250px;
    object-fit: cover;
    display: block;
    transition: transform 0.5s, filter 0.5s;
}

.package-slide::after {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(to bottom, rgba(0,0,0,0.05) 0%, rgba(0,0,0,0.25) 50%, rgba(0,0,0,0.6) 100%
    );
    opacity: 0;
    transition: opacity 0.4s ease;
    pointer-events: none;
}
.package-title {
    position: absolute;
    bottom: 25px;
    left: 25px;
    right: 25px;
    color: #fff;
    font-size: 15px;
    font-weight: 500;
    opacity: 0;
    transition: opacity 0.4s ease;
    z-index: 2;
    text-align: center;
    font-family: "Poppins", sans-serif;
    border-bottom: 1px solid #fff;
}

.package-slide:hover::after {
    opacity: 1;
}

.package-slide:hover .package-title {
    opacity: 1;
}
.top-leaf {
    position: absolute;
    top: 0;
    right: 0;
    width: 180px;
    height: auto;
    z-index: 0;
}

.bottom-leaf {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 180px;
    height: auto;
    z-index: 0;
}
.package-explore-btn{
	text-align: center;
    margin-top: 40px;
}
.package-explore-btn .package-btn{
  padding: 12px 40px;
  border-radius: 16px;
  background: #CC3300;
  color: #fff;
  text-decoration: none;
  margin-top: 40px;
  font-family: "Poppins", sans-serif;
} 

/* ===== Our Exclusive Offering ===== */

.exclusive-offerings-section {
    background: #f5d89c;
    padding: 26px 0px;
    position: relative;
}
.top-flower {
    position: absolute;
    top: 0;
    right: 0;
    width: 180px;
    height: auto;
    z-index: 0;
}

.bottom-flower {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 180px;
    height: auto;
    z-index: 0;
}
.exclusive-package {
    position: relative;
    max-width: 1200px;
    height: 450px;
    margin: 0 auto;
    overflow: hidden;
}

.exclusive-header {
    text-align: center;
    padding-bottom: 40px;
}

.exclusive-header h2 {
  font-size: 39px;
  margin-bottom: 10px;
  font-family: 'Nanum Myeongjo', serif;
  color: #71471E;
  font-weight: 500;
  text-transform: capitalize;
}

.exclusive-header p {
  font-size: 14px;
  font-family: "Poppins", sans-serif;
  color: #71471E;
  max-width: 550px;
  margin: auto;
  text-transform: capitalize;
}
.exclusive-images {
    width: 100%;
    height: 100%;
    text-align: center;
}

.exclusive-images img {
    width: 100%;
}

.exclusive-title {
    position: absolute;
    left: 19%;
    bottom: 19%;
    transform: translate(-50%, -50%);
    z-index: 5;
    color: #F9EAD7;
    font-size: 40px;
    font-weight: 500;
    text-align: center;
    text-shadow: 0 6px 15px rgba(0,0,0,0.45);
    font-family: 'Nanum Myeongjo', serif;
}

/* ===== GALLERY ===== */

.home-gallery {
  width: 100vw;
  position: relative;
  padding: 100px 0 53px;
  overflow: hidden;
  background: #fff5ec;
}

.gallery-wrap {
  max-width: 1200px;
  margin: 0 auto;
  position: relative;
}

.gallery-content {
  position: absolute;
  left: 52px;
  top: 40px;
  max-width: 280px;
}

.gallery-content h2 {
  font-size: 42px;
  color: #d44800;
  margin-bottom: 10px;
  font-weight: 500;
  font-family: 'Nanum Myeongjo', serif;
}

.gallery-content p {
  font-size: 14px;
  line-height: 1.6;
  color: #d44800;
  font-family: "Poppins", sans-serif;
}

.gallery-line {
  position: absolute;
  left: 58%;
  top: 0;
  width: 1px;
  height: 100%;
  background: #e3c9b5;
}

.gallery-images {
  position: relative;
  min-height: 650px;
}

.gallery-images .img {
  position: absolute;
  object-fit: cover;
}

/* LEFT edge */
.img-2 {
  top: 140px;
    left: 458px;
    width: 215px;
    height: 172px;
}

.img-4 {
  top: 326px;
    left: 229px;
    width: 215px;
    height: 172px;
}

.img-5 {
  bottom: -27px;
    left: 460px;
    width: 215px;
    height: 172px;
}

.img-7 {
  bottom: -32px;
  left: 0;
  width: 215px;
  height: 172px;
}

/* RIGHT edge */
.img-6 {
  bottom: 145px;
    right: 269px;
    width: 215px;
    height: 172px;
}
.img-1 {
  top: -40px;
    right: 270px;
    width: 215px;
    height: 172px;
}

.img-3 {
  top: 146px;
    right: 41px;
    width: 215px;
    height: 172px;
}

.img-8 {
  bottom: -61px;
    right: 0px;
    width: 215px;
    height: 172px;
}

.gallery-btn {
 text-align: center;
  margin-top: 100px;
}

.gallery-btn a {
  padding: 12px 40px;
  border-radius: 16px;
  background: #CC3300;
  color: #fff;
  text-decoration: none;
  font-family: "Poppins", sans-serif;
}

/* ===== TESTIMONIAL ===== */

.testimonial-section {
  width: 100%;
  padding: 35px 0;
  background: #FFDEA4;
}

.testimonial-main-header h2 {
    font-size: 39px;
    margin-bottom: 10px;
    font-family: 'Nanum Myeongjo', serif;
    color: #71471E;
    font-weight: 500;
    text-transform: capitalize;
}
.testimonial-main-header p {
    font-size: 14px;
    font-family: "Poppins", sans-serif;
    color: #71471E;
    max-width: 550px;
    margin: auto;
    text-transform: capitalize;
}

.testimonial-main-header {
    text-align: center;
    padding-bottom: 80px;
}

.testimonial-inner {
  max-width: 1300px;
  margin: auto;
  display: flex;
  gap: 60px;
  padding: 0 20px;
}

.testimonial-left {
  color: #71471E;
  flex: 1;
}

.testimonial-left h2 {
  font-size: 42px;
  line-height: 1.2;
  color: #71471E;
  font-family: 'Nanum Myeongjo', serif;
  font-weight: 500;
  max-width: 300px;
  margin-bottom: 50px;
}

.arrows button {
  cursor: pointer;
  background: transparent;
  color: #71471E;
  border: none !important;
  border-radius: 0px !important;
  padding: 0px 10px;
  box-shadow: none;
  font-size: 50px;
}

.testimonial-right {
  flex: 1;
  position: relative;
}

.avatars {
  display: flex;
  gap: 20px;
  margin-bottom: -40px;
  position: relative;
  z-index: 5;
}

.avatars .avatar {
  position: relative; 
  width: 60px;
  height: 60px;
  border-radius: 50%;
  opacity: 0.4;
  transform: scale(1);
  transition: transform 0.35s ease, opacity 0.35s ease;
  cursor: pointer;
  z-index: 1;
}

.avatars .avatar.active {
  transform: scale(1.4);
  opacity: 1;
  z-index: 10;
}

.card {
  position: relative;
  z-index: 1;
  background: #fff;
  padding: 50px 50px 20px 50px;
}

.item {
  display: none;
}

.item.active {
  display: block;
}

.count {
  display: flex;
  align-items: baseline;
  gap: 6px;
  color: #71471E;
}

.count-current {
  font-size: 22px;
  font-weight: 400;
  transition: all 0.35s ease;
}

.count-total {
  font-size: 16px;
  opacity: 0.6;
}

.count-current.active {
  font-size: 36px; 
  font-weight: 700;
}

.card p {
    color: #CC3300;
    font-family: "Poppins", sans-serif;
}
.card strong{
 	font-family: 'Nanum Myeongjo', serif;
    color: #CC3300;
    font-size: 22px;
    font-weight: 100;
}
.item {
    padding: 20px;
}

.card .stars {
    padding-bottom: 20px;
}

/* ===== EXTRA LARGE SCREEN ===== */

@media (min-width: 1200px) and (max-width: 1380px){
	.spa-image img { 
    	width: 72%; 
        border-radius: 120px 0 0 0; 
   }
   .spa-row{
   		gap: 0px;
  		padding-left: 50px;
  		padding-right: 50px;
   }   
   .exclusive-images img {
    	width: 93%;
	}
    .exclusive-images {
    	text-align: center;
	}
    .exclusive-title{
    	left: 24%;
    }
}

@media (min-width: 1500px) and (max-width: 1920px){
	.hero-content h1{
    	font-size: 55px;
    }
}
/* Mobile */
@media (max-width: 768px) {
   :root {
     --header-height: 80px;
  }
   .home-hero .swiper-slide {
   	 background-image: var(--bg-mobile);
     background-position: center top;
  }
  .hero-content {
    max-width: 335px !important;
    width: 100%;
    top: 55%;
    padding: 30px 20px 40px;
  }
  .home-hero, .hero-slider, .hero-slider .swiper-wrapper, .hero-slider .swiper-slide {
    min-height: 80vh !important;
  }

  .hero-content h1 {
    font-size: 34px;
  }

  .hero-slider, .hero-slider .swiper-slide {
    min-height: 100vh;
  }
  
  .welcome-wrap {
    grid-template-columns: 1fr;
    padding: 15px;
    gap: 0px;
  }
  
  .welcome-left img {
    width: 90%;
  }

  .welcome-main-heading {
    font-size: 16px!important;
    padding-left: 20px;
    padding-right: 20px;
  }
  .welcome-bottom-heading {
    padding-left: 50px;
    padding-right: 50px;
    margin-bottom: 10px;
    font-size: 25px;
  }
  .top-bg {
    padding-top: 57px;
  }
  .bottom-bg {
    padding-top: 0px;
  }
  .welcome-main-heading, .welcome-bottom-heading{
  	position: unset;
    transform: none;
  }
  .acc-item span {
    font-size: 18px;
   }
   .acc-title img {
     width: 23px;
   }
   .acc-content{
   	 font-size: 13px;
   }
   .acc-item {
     padding: 0px 0 10px;
   }
   .spa-row {
    display: flex !important;
    flex-direction: column !important;
    gap: 16px;
  }

  .spa-row .spa-image {
    order: 1;
    width: 100%;
    text-align: center;
  }

  .spa-row .spa-content {
    order: 2;
    width: 100%;
    padding: 0 15px;
    text-align: center;
  }

  .spa-image img {
    width: 80%;
    margin: 0 auto;
    display: block;
  }
  .spa-top h2, .package-top h2{
  	font-size: 31px;
  }
  .spa-content h3 {
    font-size: 22px;
  }

  .spa-content p {
    font-size: 15px;
  }

  .spa-btn {
    margin-top: 25px;
  }
  .spa-top {
    margin: 0 auto 24px;
   }
   .spa-image h4{
     margin-top: 11px;
   }
   .spa-decor {
    display: none;
  }
  
 .packages-wrapper {
    cursor: grab;
    overflow-x: auto;
    overflow-y: hidden;
    display: flex;
    gap: 20px;
    padding: 0 10vw;
    align-items: flex-end;
    perspective: 1500px;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
  }

  .package-slide {
    flex: 0 0 auto;
    width: 180px;
    height: 180px;
  }

  .package-slide img {
    height: 180px;
  }

  .top-leaf, .bottom-leaf, .top-flower, .bottom-flower {
    width: 60px;
  }
  .packages-section {
    padding: 30px 0 62px;
   }
   
   .exclusive-packages { 
   	gap: 20px; 
   }
   .exclusive-package { 
    height: auto;
   }
   .exclusive-title {
     font-size: 20px;
     left: 104px;
     bottom: 0px;
    }
    .exclusive-offerings-section {
      background: #f5d89c;
      padding: 37px 0px 60px;
      position: relative;
	}
    .exclusive-images img {
      width: 94%;
    }
    .exclusive-images {
      height: auto;
      text-align: center;
    }
    .exclusive-header {
       padding-left: 10px;
       padding-right: 10px;
       padding-bottom: 18px;
    }
    
    .gallery-content {
        text-align: center;
        position: unset;
        width: 100%;
        margin: auto;
    }

  .home-gallery {
    width: 100%;
    padding-top: 30px;
    padding-left: 20px;
    padding-right: 20px;
  }

  .gallery-line {
    display: none;
  }

  .gallery-images {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 12px;
    min-height: auto;
  }

  .gallery-images .img {
    position: static;
    width: 100%;
    height: 160px;
  }
  .img-7,.img-1,.img-8 {
    left: auto;
    right: auto;
    position: relative;
  }
  .gallery-btn {
    margin-top: 50px;
	}

  .testimonial-inner {
     flex-direction: column;
   }
   .testimonial-main-header {
        text-align: center;
        padding-bottom: 29px;
	}
    .swiper-button-next, .swiper-button-prev{
     display: none!important;
    }
}